%define major	2
%define libname	%mklibname keyfinder %{major}
%define devname	%mklibname keyfinder -d

Name:		libkeyfinder
Summary:	Musical key detection for digital audio
Version:	2.2.6
Release:	%mkrel 3
License:	GPLv3+
Group:		System/Libraries
Url:		https://mixxxdj.github.io/libkeyfinder/
# https://github.com/mixxxdj/libkeyfinder/
Source0:	https://github.com/mixxxdj/libkeyfinder/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	fftw-devel
BuildRequires:	catch2-devel

%description
libkeyfinder is a small C++11 library for estimating the
musical key of digital audio.

%package -n %{libname}
Summary:	Shared libraries for libkeyfinder
Group:		System/Libraries

%description -n %{libname}
libkeyfinder is a small C++11 library for estimating the
musical key of digital audio.

%package -n %{devname}
Summary:	Development libraries and header files for libkeyfinder
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and header files for
libkeyfinder.

%prep
%autosetup -p1

chmod -x README.md

%build
%ifarch %ix86
export CXXFLAGS="%{build_cxxflags} -ffloat-store"
%endif
%cmake \
  -DBUILD_TESTING:BOOL=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libkeyfinder.so.%{major}{,.*}

%files -n %{devname}
%doc CHANGELOG.md
%{_includedir}/keyfinder/
%{_libdir}/cmake/KeyFinder/
%{_libdir}/pkgconfig/libkeyfinder.pc
%{_libdir}/libkeyfinder.so


%changelog
* Sun Apr 23 2023 daviddavid <daviddavid> 2.2.6-3.mga9
+ Revision: 1954550
- rebuild to fix libdir path in pkgconfig file

* Fri Apr 01 2022 umeabot <umeabot> 2.2.6-2.mga9
+ Revision: 1838116
- Mageia 9 Mass Rebuild

* Fri Jan 07 2022 wally <wally> 2.2.6-1.mga9
+ Revision: 1767248
- new version 2.2.6
- build with -ffloat-store only on ix86

* Thu Dec 30 2021 wally <wally> 2.2.5-1.mga9
+ Revision: 1765487
- imported package libkeyfinder

